##
##  librelp.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2018 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         librelp
Summary:      Reliable Logging Library
URL:          http://www.librelp.com/
Vendor:       Rainer Gerhards
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Logfile
License:      GPL
Version:      1.2.16
Release:      20180514

#   list of sources
Source0:      http://download.rsyslog.com/librelp/librelp-%{version}.tar.gz
Patch0:       librelp.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    librelp is an easy to use C library for the RELP protocol. RELP
    in turn provides reliable event logging over the network (and
    consequently RELP stands for Reliable Event Logging Protocol).
    RELP was initiated by Rainer Gerhards after he was finally upset
    by the lossy nature of plain TCP syslog and wanted a cure for all
    these dangling issues. RELP (and hence) librelp assures that no
    message is lost, not even when connections break and a peer becomes
    unavailable. The current version of RELP has a minimal window
    of opportunity for message duplication after a session has been
    broken due to network problems. In this case, a few messages may be
    duplicated (a problem that also exists with plain TCP syslog).

%track
    prog librelp = {
        version   = %{version}
        url       = http://www.librelp.com/
        regex     = librelp-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

